# cPy - show an svg drawing as Qt GUI
# provided by Anthony Vogelaar,  Perth Scotland
# rev 0.10  2024-09-16  initial release

import  os;                 os.system('clear')
from    PySide6.QtWidgets   import  QApplication, QLabel
from    PySide6.QtCore      import  Qt
from    PySide6.QtGui       import  QPixmap

# ============================ main ===========================

def main():
    app = QApplication([])
    lb  = QLabel()
    lb.resize(200, 200)
    lb.setPixmap(QPixmap('img.svg'))
    lb.setAlignment(Qt.AlignCenter)
    lb.show()
    app.exec()
    

main()

# ============================= end ===========================
